.TH wxCheckListBox 3 "wx  0.98.3" "Ericsson AB" "ERLANG MODULE DEFINITION"
.SH MODULE
wxCheckListBox \- See external documentation: wxCheckListBox\&.
.SH DESCRIPTION
.LP
See external documentation: wxCheckListBox <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxchecklistbox\&.html>\&. 
.LP
This class is derived (and can use functions) from: 
.br
wxListBox 
.br
wxControlWithItems 
.br
wxControl 
.br
wxWindow 
.br
wxEvtHandler 

.SH DATA TYPES
.RS 2
.TP 4
.B
\fIwxCheckListBox()\fR:

.RS 4
.LP
An object reference, The representation is internal and can be changed without notice\&. It can\&'t be used for comparsion stored on disc or distributed for use on other nodes\&.
.LP

.RE
.RE
.SH EXPORTS
.LP
.B
new() -> wxCheckListBox()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxchecklistbox\&.html#wxchecklistboxwxchecklistbox>\&.
.RE
.LP
.B
new(Parent::wxWindow() (see module wxWindow), Id::integer()) -> wxCheckListBox()
.br
.RS
.LP
Equivalent to new(Parent, Id, [])\&.
.RE
.LP
.B
new(Parent::wxWindow() (see module wxWindow), Id::integer(), Options::[Option]) -> wxCheckListBox()
.br
.RS
.TP
Types
Option = {pos, {X::integer(), Y::integer()}} | {size, {W::integer(), H::integer()}} | {choices, [[string()]]} | {style, integer()} | {validator, wx() (see module wx)}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxchecklistbox\&.html#wxchecklistboxwxchecklistbox>\&.
.RE
.LP
.B
check(This::wxCheckListBox(), Index::integer()) -> ok
.br
.RS
.LP
Equivalent to check(This, Index, [])\&.
.RE
.LP
.B
check(This::wxCheckListBox(), Index::integer(), Options::[Option]) -> ok
.br
.RS
.TP
Types
Option = {check, bool()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxchecklistbox\&.html#wxchecklistboxcheck>\&.
.RE
.LP
.B
isChecked(This::wxCheckListBox(), Index::integer()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxchecklistbox\&.html#wxchecklistboxischecked>\&.
.RE
.LP
.B
destroy(This::wxCheckListBox()) -> ok
.br
.RS
.LP
Destroys this object, do not use object again
.RE
